Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#26 Le 03/12/2018, à 11:51

moko138

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Coeur Noir a écrit :

@moko : sous Ubuntu, n'a-t-on pas une commande pour savoir « qui / quel logiciel » a installé tel autre paquet ?
genre :

commande_miracle machin

qui répondrait une liste de logiciels installés sur le système ayant besoin de machin ?
C'est ce que tu cherches à faire, on dirait, [je confirme]
et que je croyais obtenir sur un autre fil avec apt-cache rdepends baloo mais c'est juste une liste des dépendances sans mention des logiciels / paquets « initiateurs » du besoin ( gwenview ici, par ex. )

Merci pour "rdepends", que je ne connaissais pas.

Après des heures de recherches infructueuses, j'en reviens à une idée simple :
chercher la plus ancienne occurrence de baloo dans /var/log/apt/*
zless /var/log/apt/history.* | grep -B2 baloo | grep -B2 Install
On obtiendra 3 lignes, la 3ème fort longue (comportant les dépendances) ;
on peut simplifier par :

zless /var/log/apt/history.* | grep -B2 baloo | grep -B2 Install | head -2

Le paquet "initiateur" devrait apparaître comme ceci :
Start-Date: 2018-11-23  13:25:16
Commandline: apt(-get) install
gwenview
                    Ecco !
  - -


gatzy,
1) Retiens la simulation avec apt-get -s, fort utile. Ainsi

sudo apt-get -s install baloo

risque de te répondre :

(...)
Les NOUVEAUX paquets suivants seront installés :
(...)
0 mis à jour, 80 nouvellement installés,
(...)

Si le nombre approche la centaine, méfiance : tu es sur le point d'installer presque tout un environnement supplémentaire !
  Mais grâce à l'option -s de apt-get (je crois que "apt" tout court ne l'a pas encore), rien ne sera effectifsmile


2) Pourrais-tu, s'il te plaît, montrer

zless /var/log/apt/history.* | grep -B2 baloo | grep -B2 Install | head -2

?
Merci !

Dernière modification par moko138 (Le 03/12/2018, à 11:52)


%NOINDEX%
Un utilitaire méconnu : ncdu

Hors ligne

#27 Le 03/12/2018, à 12:08

gatzy

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Merci, moko138, pour le conseil et les explications sur le apt-get
et voilà le résultat de la commande

hintzy@hintzy-System-Product-Name:~$ zless /var/log/apt/history.* | grep -B2 baloo | grep -B2 Install | head -2
Commandline: packagekit role='install-packages'
Requested-By: hintzy (1000)
hintzy@hintzy-System-Product-Name:~$ 

Hors ligne

#28 Le 03/12/2018, à 12:29

Coeur Noir

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

@moko : peut-être apt-rdepends https://www.techrepublic.com/article/ho … -rdepends/ ?

Hors ligne

#29 Le 03/12/2018, à 20:02

moko138

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

gatzy,
Merci !
Apparemment, packagekit ne complète pas les history.log* de la même façon qu'apt-get ; s'il te plaît, peux-tu
     ou bien élargir le retour comme ceci :

zless /var/log/apt/history.* | grep -B3 baloo | grep -B3 Install | head -4

     Ou bien, en mode graphique,
ouvrir /var/log/apt/history.log.1.gz (enfin, le fichier de novembre, si c'est bien en novembre que tu as installé gwenview)
puis ouvrir history.log.1
y chercher gwenview
et donner ici les quelques lignes consécutives incluant :

Start-Date: 2018-<mois>-<jour>  (...)
Commandline: (...) gwenview

?
Le but étant d'obtenir la commande ayant installé gwenview (et baloo) et la date de cette commande.

  - -

Coeur Noir,
Je n'ai pas compris ce que
apt-rdepends    ajouterait à
apt rdepends   ou à apt-get rdepends.   Que veux-tu dire ?


%NOINDEX%
Un utilitaire méconnu : ncdu

Hors ligne

#30 Le 03/12/2018, à 22:47

gatzy

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Pour moko138...
Le résultat de la commande

hintzy@hintzy-System-Product-Name:~$ zless /var/log/apt/history.* | grep -B3 baloo | grep -B3 Install | head -4
Start-Date: 2018-11-28  21:29:42
Commandline: packagekit role='install-packages'
Requested-By: hintzy (1000)
Install: qt5-image-formats-plugins:amd64 (5.9.5-0ubuntu1, automatic), libkf5kipi-data:amd64 (17.12.3-0ubuntu1, automatic), libkf5balooengine5:amd64 (5.44.0-0ubuntu1, automatic), libzip4:amd64 (1.1.2-1.1, automatic), libssh-4:amd64 (0.8.0~20170825.94fa1e38-1ubuntu0.1, automatic), libkf5itemmodels5:amd64 (5.44.0-0ubuntu1, automatic), gwenview:amd64 (4:17.12.3-0ubuntu1), kamera:amd64 (4:17.12.3-0ubuntu1, automatic), libminizip1:amd64 (1.1-8build1, automatic), libkf5kdcraw5:amd64 (17.12.3-0ubuntu1, automatic), libkf5filemetadata3:amd64 (5.44.0-0ubuntu1, automatic), kio-extras:amd64 (4:17.12.3-0ubuntu2, automatic), iio-sensor-proxy:amd64 (2.4-2, automatic), libkf5khtml-bin:amd64 (5.44.0-0ubuntu1, automatic), libqt5webenginewidgets5:amd64 (5.9.5+dfsg-0ubuntu2, automatic), geoclue-2.0:amd64 (2.4.7-1ubuntu1, automatic), liblmdb0:amd64 (0.9.21-1, automatic), libgeoclue-2-0:amd64 (2.4.7-1ubuntu1, automatic), libkf5kipi32.0.0:amd64 (17.12.3-0ubuntu1, automatic), libkf5baloo5:amd64 (5.44.0-0ubuntu1, automatic), libre2-4:amd64 (20180201+dfsg-2, automatic), libkf5filemetadata-data:amd64 (5.44.0-0ubuntu1, automatic), libqt5webchannel5:amd64 (5.9.5-0ubuntu1, automatic), libqt5webengine-data:amd64 (5.9.5+dfsg-0ubuntu2, automatic), libepub0:amd64 (0.2.2-4ubuntu1, automatic), catdoc:amd64 (1:0.95-4.1, automatic), libkf5dnssd5:amd64 (5.44.0-0ubuntu1, automatic), libkf5khtml-data:amd64 (5.44.0-0ubuntu1, automatic), libqt5opengl5:amd64 (5.9.5+dfsg-0ubuntu1, automatic), libkf5dnssd-data:amd64 (5.44.0-0ubuntu1, automatic), libqt5webenginecore5:amd64 (5.9.5+dfsg-0ubuntu2, automatic), kio-extras-data:amd64 (4:17.12.3-0ubuntu2, automatic), libqt5positioning5:amd64 (5.9.5+dfsg-0ubuntu2, automatic), libcfitsio5:amd64 (3.430-2, automatic), libkf5khtml5:amd64 (5.44.0-0ubuntu1, automatic), libkf5filemetadata-bin:amd64 (5.44.0-0ubuntu1, automatic)
hintzy@hintzy-System-Product-Name:~$ 

En mode graphique

Start-Date: 2018-11-28  21:29:42
Commandline: packagekit role='install-packages'
Requested-By: hintzy (1000)
Install: qt5-image-formats-plugins:amd64 (5.9.5-0ubuntu1, automatic), libkf5kipi-data:amd64 (17.12.3-0ubuntu1, automatic), libkf5balooengine5:amd64 (5.44.0-0ubuntu1, automatic), libzip4:amd64 (1.1.2-1.1, automatic), libssh-4:amd64 (0.8.0~20170825.94fa1e38-1ubuntu0.1, automatic), libkf5itemmodels5:amd64 (5.44.0-0ubuntu1, automatic), gwenview:amd64 (4:17.12.3-0ubuntu1), kamera:amd64 (4:17.12.3-0ubuntu1, automatic), libminizip1:amd64 (1.1-8build1, automatic), libkf5kdcraw5:amd64 (17.12.3-0ubuntu1, automatic), libkf5filemetadata3:amd64 (5.44.0-0ubuntu1, automatic), kio-extras:amd64 (4:17.12.3-0ubuntu2, automatic), iio-sensor-proxy:amd64 (2.4-2, automatic), libkf5khtml-bin:amd64 (5.44.0-0ubuntu1, automatic), libqt5webenginewidgets5:amd64 (5.9.5+dfsg-0ubuntu2, automatic), geoclue-2.0:amd64 (2.4.7-1ubuntu1, automatic), liblmdb0:amd64 (0.9.21-1, automatic), libgeoclue-2-0:amd64 (2.4.7-1ubuntu1, automatic), libkf5kipi32.0.0:amd64 (17.12.3-0ubuntu1, automatic), libkf5baloo5:amd64 (5.44.0-0ubuntu1, automatic), libre2-4:amd64 (20180201+dfsg-2, automatic), libkf5filemetadata-data:amd64 (5.44.0-0ubuntu1, automatic), libqt5webchannel5:amd64 (5.9.5-0ubuntu1, automatic), libqt5webengine-data:amd64 (5.9.5+dfsg-0ubuntu2, automatic), libepub0:amd64 (0.2.2-4ubuntu1, automatic), catdoc:amd64 (1:0.95-4.1, automatic), libkf5dnssd5:amd64 (5.44.0-0ubuntu1, automatic), libkf5khtml-data:amd64 (5.44.0-0ubuntu1, automatic), libqt5opengl5:amd64 (5.9.5+dfsg-0ubuntu1, automatic), libkf5dnssd-data:amd64 (5.44.0-0ubuntu1, automatic), libqt5webenginecore5:amd64 (5.9.5+dfsg-0ubuntu2, automatic), kio-extras-data:amd64 (4:17.12.3-0ubuntu2, automatic), libqt5positioning5:amd64 (5.9.5+dfsg-0ubuntu2, automatic), libcfitsio5:amd64 (3.430-2, automatic), libkf5khtml5:amd64 (5.44.0-0ubuntu1, automatic), libkf5filemetadata-bin:amd64 (5.44.0-0ubuntu1, automatic)
End-Date: 2018-11-28  21:30:53

Hors ligne

#31 Le 04/12/2018, à 01:12

Coeur Noir

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Aparté 1 - puisqu'on s'éloigne du sujet initial :

moko138 a écrit :

Que veux-tu dire ?

On ne cherche pas forcément la même chose… Ça fait plusieurs que je vois des fils du même genre : on voit un processus qui bouffe tout le cpu ou toute la ram, donc on identifie en conséquence un paquet. Maintenant ce qu'on souhaite connaître c'est quel « logiciel » utilise ce processus, quel⋅s autre⋅s paquets le mettent en route. Pas ce qui dépend de lui ensuite, mais ce qui l'appelle au départ. Afin d'éventuellement désinstaller ce programme qui appelle un paquet problématique.

Ici on a vu baloo_chose. On fait une recherche sur baloo_chose et on voit que ça vient de l'univers KDE. Or chez KDE baloo_chose est relativement incontournable, c'est une dépendance de la moitié de cet univers. Par chance notre ami sait nous dire qu'il a installé gwenview, recherche sur celui-là, il a bien baloo_chose en dépendance, donc on se dit qu'en enlevant gwenview ça ira. Mais non, car dans les dépendances de gwenview il y a probablement un autre élément ( pour l'instant j'ai pas trouvé mais c'est l'un de ceux-là ) qui finit par réclamer dolphin, qui lui aussi a besoin de baloo_chose, donc tant que dolphin est là, on ne peut pas virer baloo_chose.

Bref si on avait eu une commande qui nous répond tel paquet sur ce système est mis « en route » par tel⋅s autre⋅s paquets de ce système, on aurait gagné du temps dans la chasse à ce qui déclenche l'utilisation du paquet gourmand identifié, lui, dès le départ.

coeurnoir@Asgard:~$ commande_miracle baloo*
Les paquets :
    baloo_bidule baloo_truc baloo_machin

sont appelés par et nécessaires au fonctionnement de :
    gwenview dolphin kcore-truc kf5-bidule

et, pour fonctionner, ils ont besoin de :
    kio libc6 libc6 libc6 libgcc1 libkf5baloo5 libkf5balooengine5 libkf5configcore5 libkf5coreaddons5 libkf5crash5 libkf5dbusaddons5 libkf5filemetadata3 libkf5i18n5 libkf5idletime5 libkf5kiocore5 libkf5solid5 libqt5core5a
    libqt5core5a libqt5dbus5 libqt5gui5 libqt5qml5 libqt5widgets5 libstdc++6

Clairement on est à la limite de mes compètences / connaissances et ça existe probablement. J'ai cru voir passer des commandes qui vont dans ce sens mais ça concernait arch ou fedora ( yum ? dnf ? y'avait du tree parfois, en tout cas jamais mis les pieds sur ces planètes, mon ignorance est totale… )

Aparté 2 - pour se rapprocher un peu du sujet :

Il est possible de désactiver l'indexation et donc inhiber l'usage de baloo-* sans le désinstaller, dans l'environnement KDE : https://community.kde.org/Baloo/Configuration

Dernière modification par Coeur Noir (Le 04/12/2018, à 01:26)

Hors ligne

#32 Le 04/12/2018, à 13:49

moko138

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Merci beaucoup gatzy !
La bonne commande à passer sera donc

zless /var/log/apt/history.* | grep -B3 paquet-gênant | grep -B3 Install | head -4

.
Avec apt-get, cela donnera :

moi@mon-pc:~$ zless /var/log/apt/history.* | grep -B3 paquet-gênant | grep -B3 Install | head -4

Start-Date: 2018-11-10  09:26:00
Commandline: apt-get install paquet-gênant 
Install: paquet-gênant, libpaquet-gênant, paquet-gênant-common, 
moi@mon-pc:~$ 

.
Avec packagekit, cela donnera :

moi@mon-pc:~$ zless /var/log/apt/history.* | grep -B3 paquet-gênant | grep -B3 Install | head -4
Start-Date: (...)
Commandline: packagekit role='install-packages'
Requested-By: moi (1000)
Install: Liste plus ou moins longue (*)
End-Date: (...)
moi@mon-pc:~$ 

.
(*) La liste peut paraître longue, mais si on retire les lib* et les numéros de versions, le reste est lisible :

Install: qt5-image-formats-plugins:amd64, kamera:amd64, kio-extras:amd64, iio-sensor-proxy:amd64, geoclue-2.0:amd64, catdoc:amd64, kio-extras-data:amd64, gwenview:amd64, 

.
.
Dans ce reste,
               Coeur Noir,
l'intéressé(e), même en ayant momentanément oublié son nom ou son existence, n'aura pas de mal à reconnaître le(s) paquet(s) dont il ou elle a expressément demandé l'installationsmile
  ...Et les aidants n'auront pas de mal à proposer :

apt-cache rdepends chaque-paquet-de-la-liste-réduite

ou

axi-cache rdepends chaque-paquet-de-la-liste-réduite

et jer crois que des passages de ce message ./viewtopic.php?pid=21834436#p21834436 pourraient t'intéresser.


  Sinon, la commande que tu cherches :

si on avait eu une commande qui nous réponde tel paquet sur ce système est mis « en route » par tel⋅s autre⋅s paquets de ce système, on aurait gagné du temps

est probablement pstree

Par exemple :

pstree | grep -iC10 "web content"
pstree | grep -iC10 baloo

Non ?
Chez moi :

pstree | grep -iC10 pstree
     |-pulseaudio---2*[{pulseaudio}]
     |-rsyslogd---3*[{rsyslogd}]
     |-rtkit-daemon---2*[{rtkit-daemon}]
     |-slim-+-Xorg
     |      `-openbox-+-/usr/bin/termin-+-bash---bash---sleep
     |                |                 |-bash---top
     |                |                 |-bash
     |                |                 |-bash---ace-freecell
     |                |                 |-bash---sudo---ncdu
     |                |                 |-bash-+-grep
     |                |                 |      `-pstree
     |                |                 |-gnome-pty-helpe
     |                |                 `-{/usr/bin/termin}
     |                |-geany-+-bash
     |                |       |-gnome-pty-helpe
     |                |       `-{geany}
     |                |-ssh-agent
     |                |-thunar---{thunar}
     |                |-vlc---{vlc}
     |                `-x-www-browser-+-Web Content---{Web Content}
     |                                `-{x-www-browser}

%NOINDEX%
Un utilitaire méconnu : ncdu

Hors ligne

#33 Le 04/12/2018, à 17:41

Coeur Noir

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Yesss, encore merci Moko, comme d'hab' !

Hors ligne

#34 Le 04/12/2018, à 19:38

moko138

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

smile

Mais en me relisant, je me demande pourquoi j'ai proposé :
-iC10  # Context = 10 lignes précédentes et 10 suivantes,
            et non pas :
-iB20   # Before = 20 lignes précédentes.


%NOINDEX%
Un utilitaire méconnu : ncdu

Hors ligne

#35 Le 04/12/2018, à 21:31

gatzy

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Bon, là, j'avoue que j'ai un peu décroché dans vos échanges...
Pas sûre que je saurai faire la prochaine fois où un processus "clandestin" bloque mon ordi mais comme tous ceux qui suivent cette conversation ont tout compris, on saura me dépanner ;-)
Grand merci pour l'aide apportée !

Hors ligne

#36 Le 04/12/2018, à 21:46

Roschan

Re : [Résolu] Ordi très lent : à cause de Baloo_file_extr ?

Tu peux décrocher comme tu veux, après tout ton problème est résolu wink

Hors ligne